src/Entity/Borne.php
<?php

namespace App\Entity;

use App\Repository\BorneRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: BorneRepository::class)]
class Borne
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $operateur = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $adresse = null;

    #[ORM\Column(nullable: true)]
    private ?int $code_commune = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $coordonnees_xy = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $date_mise_en_service = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $nom_commune = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOperateur(): ?string
    {
        return $this->operateur;
    }

    public function setOperateur(?string $operateur): static
    {
        $this->operateur = $operateur;

        return $this;
    }

    public function getAdresse(): ?string
    {
        return $this->adresse;
    }

    public function setAdresse(?string $adresse): static
    {
        $this->adresse = $adresse;

        return $this;
    }

    public function getCodeCommune(): ?int
    {
        return $this->code_commune;
    }

    public function setCodeCommune(?int $code_commune): static
    {
        $this->code_commune = $code_commune;

        return $this;
    }

    public function getCoordonneesXy(): ?string
    {
        return $this->coordonnees_xy;
    }

    public function setCoordonneesXy(?string $coordonnees_xy): static
    {
        $this->coordonnees_xy = $coordonnees_xy;

        return $this;
    }

    public function getDateMiseEnService(): ?string
    {
        return $this->date_mise_en_service;
    }

    public function setDateMiseEnService(?string $date_mise_en_service): static
    {
        $this->date_mise_en_service = $date_mise_en_service;

        return $this;
    }

    public function getNomCommune(): ?string
    {
        return $this->nom_commune;
    }

    public function setNomCommune(?string $nom_commune): static
    {
        $this->nom_commune = $nom_commune;

        return $this;
    }

    public function toArray(): array
    {
        return [
            'id' => $this->getId(),
            'operateur' => $this->getOperateur(),
            'adresse' => $this->getAdresse(),
            'codecommunec' => $this->getCodeCommune(),
            'coordonnees' => $this->getCoordonneesXY(),
            'datemiseenservice' => $this->getDateMiseEnService(),
            'nomcommune' => $this->getNomCommune(),
        ];

    }
}

src/Form/BorneType.php
<?php

namespace App\Form;

use App\Entity\Borne;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class BorneType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('operateur')
            ->add('adresse')
            ->add('code_commune')
            ->add('coordonnees_xy')
            ->add('date_mise_en_service')
            ->add('nom_commune')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Borne::class,
        ]);
    }
}

src/Controller/BorneController.php
<?php

namespace App\Controller;

use App\Entity\Borne;
use App\Form\BorneType;
use App\Repository\BorneRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/admin/borne')]
class BorneController extends AbstractController
{
    #[Route('/', name: 'app_borne_index', methods: ['GET'])]
    public function index(BorneRepository $borneRepository): Response
    {
        return $this->render('borne/index.html.twig', [
            'bornes' => $borneRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_borne_new', methods: ['GET', 'POST'])]
    public function new(Request $request, EntityManagerInterface $entityManager): Response
    {
        $borne = new Borne();
        $form = $this->createForm(BorneType::class, $borne);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager->persist($borne);
            $entityManager->flush();

            return $this->redirectToRoute('app_borne_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->render('borne/new.html.twig', [
            'borne' => $borne,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_borne_show', methods: ['GET'])]
    public function show(Borne $borne): Response
    {
        return $this->render('borne/show.html.twig', [
            'borne' => $borne,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_borne_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, Borne $borne, EntityManagerInterface $entityManager): Response
    {
        $form = $this->createForm(BorneType::class, $borne);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager->flush();

            return $this->redirectToRoute('app_borne_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->render('borne/edit.html.twig', [
            'borne' => $borne,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_borne_delete', methods: ['POST'])]
    public function delete(Request $request, Borne $borne, EntityManagerInterface $entityManager): Response
    {
        if ($this->isCsrfTokenValid('delete'.$borne->getId(), $request->request->get('_token'))) {
            $entityManager->remove($borne);
            $entityManager->flush();
        }

        return $this->redirectToRoute('app_borne_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/borne/_delete_form.html.twig
<form method="post" action="{{ path('app_borne_delete', {'id': borne.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ borne.id) }}">
    <button class="btn">Delete</button>
</form>

templates/borne/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/borne/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Borne{% endblock %}

{% block body %}
    <h1>Edit Borne</h1>

    {{ include('borne/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_borne_index') }}">back to list</a>

    {{ include('borne/_delete_form.html.twig') }}
{% endblock %}

templates/borne/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Borne index{% endblock %}

{% block body %}
    <h1>Borne index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Operateur</th>
                <th>Adresse</th>
                <th>Code_commune</th>
                <th>Coordonnees_xy</th>
                <th>Date_mise_en_service</th>
                <th>Nom_commune</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for borne in bornes %}
            <tr>
                <td>{{ borne.id }}</td>
                <td>{{ borne.operateur }}</td>
                <td>{{ borne.adresse }}</td>
                <td>{{ borne.codeCommune }}</td>
                <td>{{ borne.coordonneesXy }}</td>
                <td>{{ borne.dateMiseEnService }}</td>
                <td>{{ borne.nomCommune }}</td>
                <td>
                    <a href="{{ path('app_borne_show', {'id': borne.id}) }}">show</a>
                    <a href="{{ path('app_borne_edit', {'id': borne.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_borne_new') }}">Create new</a>
{% endblock %}

templates/borne/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Borne{% endblock %}

{% block body %}
    <h1>Create new Borne</h1>

    {{ include('borne/_form.html.twig') }}

    <a href="{{ path('app_borne_index') }}">back to list</a>
{% endblock %}

templates/borne/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Borne{% endblock %}

{% block body %}
    <h1>Borne</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ borne.id }}</td>
            </tr>
            <tr>
                <th>Operateur</th>
                <td>{{ borne.operateur }}</td>
            </tr>
            <tr>
                <th>Adresse</th>
                <td>{{ borne.adresse }}</td>
            </tr>
            <tr>
                <th>Code_commune</th>
                <td>{{ borne.codeCommune }}</td>
            </tr>
            <tr>
                <th>Coordonnees_xy</th>
                <td>{{ borne.coordonneesXy }}</td>
            </tr>
            <tr>
                <th>Date_mise_en_service</th>
                <td>{{ borne.dateMiseEnService }}</td>
            </tr>
            <tr>
                <th>Nom_commune</th>
                <td>{{ borne.nomCommune }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_borne_index') }}">back to list</a>

    <a href="{{ path('app_borne_edit', {'id': borne.id}) }}">edit</a>

    {{ include('borne/_delete_form.html.twig') }}
{% endblock %}